Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.team.ui.synchronize
Interface ISynchronizePageSite

public interface ISynchronizePageSite

A site which provides access to the context in which this page is being displayed. Instances of this interface serve a similar purpose to `IWorkbenchSite` instances but is provided as a separate objects to allow clients to access the different site types (view, editor, dialog) using a common interface. This interface also provides access to the part for the site because this is required by some UI components. Clients should not need to access the part.

Clients can determine the type of workbench site by doing `instanceof` checks on the object returned by `getWorkbenchSite`. Similar `instanceof` checks can be done with the part.

Clients are not intended to implement this interface

Since:
  3.0

Method Summary
`IActionBars` | `getActionBars()` Returns the action bars for this synchronize page site.
`IKeyBindingService` | `getKeyBindingService()` Get the keybinding service for the site or `null` if one is not available.
`IDialogSettings` | `getPageSettings()` Return a settings node that can be used by the page to save state.
`IWorkbenchPart` | `getPart()` Return the workbench part for the page or `null` if a workbench part is not available (e.g. if the page is being shown in a dialog).
`ISelectionProvider` | `getSelectionProvider()` Get the selection provider that gives access to the selection of the synchronize page associated with this page site.
`Shell` | `getShell()` Returns the shell for this site.
`IWorkbenchSite` | `getWorkbenchSite()` Return the workbench site for the page or `null` if a workbench site is not available (e.g. if the page is being shown in a dialog).
`boolean` | `isModal()` Returns whether the site is associated with a page being shown in a modal dialog
`void` | `setFocus()` Give the page focus.
`void` | `setSelectionProvider(ISelectionProvider provider)` Sets the selection provider for this workbench site.

Method Detail

### getWorkbenchSite

    public IWorkbenchSite getWorkbenchSite()

  Return the workbench site for the page or `null` if a workbench site is not available (e.g. if the page is being shown in a dialog).

  Returns:
    the workbench site for the page or `null`

### getPart

    public IWorkbenchPart getPart()

  Return the workbench part for the page or `null` if a workbench part is not available (e.g. if the page is being shown in a dialog).

  Returns:
    the workbench part for the page or `null`

### getShell

    public Shell getShell()

  Returns the shell for this site.

  Returns:
    the shell for this site

### getSelectionProvider

    public ISelectionProvider getSelectionProvider()

  Get the selection provider that gives access to the selection of the synchronize page associated with this page site.

  Returns:
    the selection provider for the page

### setSelectionProvider

    public void setSelectionProvider(ISelectionProvider provider)

  Sets the selection provider for this workbench site.

  Parameters:
    `provider` - the selection provider, or `null` to clear it

### getKeyBindingService

    public IKeyBindingService getKeyBindingService()

  Get the keybinding service for the site or `null` if one is not available.

  Returns:
    the keybinding service for the site or `null` if one is not available

### setFocus

    public void setFocus()

  Give the page focus.

### getPageSettings

    public IDialogSettings getPageSettings()

  Return a settings node that can be used by the page to save state. A `null` value is returned if the site does not allow for persisted settings.

  Returns:
    a settings node or `null`

### getActionBars

    public IActionBars getActionBars()

  Returns the action bars for this synchronize page site.

  Returns:
    the action bars

### isModal

    public boolean isModal()

  Returns whether the site is associated with a page being shown in a modal dialog

  Returns:
    whether the site is associated with a page being shown in a modal dialog

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.